Package org.pgpainless.authentication

# Class CertificateAuthenticity.CertificationChain

java.lang.Object
org.pgpainless.authentication.CertificateAuthenticity.CertificationChain

Enclosing class:
  `CertificateAuthenticity`

public static class CertificateAuthenticity.CertificationChain extends Object

## Constructor Summary

Constructors
Constructor
Description
`CertificationChain(int trustAmount, List<CertificateAuthenticity.ChainLink> chainLinks)`
A chain of certifications.

## Method Summary

Modifier and Type
Method
Description
`List<CertificateAuthenticity.ChainLink>`
`getChainLinks()`
Return all links in the chain, starting at the trust-root and ending at the target.
`int`
`getTrustAmount()`
Actual trust amount of the certification chain.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CertificationChain

public CertificationChain(int trustAmount, @Nonnull List<CertificateAuthenticity.ChainLink> chainLinks)
A chain of certifications.

Parameters:
  `trustAmount` - actual trust amount of the chain
  `chainLinks` - links of the chain, starting at the trust-root, ending at the target.

## Method Details

### getTrustAmount

public int getTrustAmount()
Actual trust amount of the certification chain.

Returns:
  trust amount

### getChainLinks

@Nonnull public List<CertificateAuthenticity.ChainLink> getChainLinks()
Return all links in the chain, starting at the trust-root and ending at the target.

Returns:
  chain links